#include <iostream>

using namespace std;

int main()
{
    int N,i,j,m;
    cin>>N;
    for(i=1,j=i+N,m=0;m<N;i=i+2,j=j+2,m=m+2)
        if(N%2!=0 && m==N-1)
        cout<<i;
        else
        cout<<i<<j;
    cout<<endl;
    for(i=2,j=2*N,m=0;m<N;i=i+2,j=j-2,m=m+2)
        if(N%2!=0 && m==N-1)
        cout<<j+1;
        else
        cout<<i<<j;
    return 0;
}